| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
IG.Script.ScriptGraphics3DBase Class Reference

Base class for script classes with graphics examples. More...

Inheritance diagram for IG.Script.ScriptGraphics3DBase:
[legend]
Collaboration diagram for IG.Script.ScriptGraphics3DBase:
[legend]

## Public Member Functions
| ScriptGraphics3DBase ()
override void | Script_AddCommands (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings)
| Adds commands to the internal interpreter. More...
string | TestMyTest (string[] arguments)
| Test action. More...
virtual string | TestCustom (string[] arguments)
| Custom test. More...
virtual string | TestVtkTest (string[] arguments)
| Runs various VTK tests. More...
virtual string | TestPlot3d (string[] arguments)
| Demonstration of various 3D plots. More...
virtual string | TestSurface3d (string[] arguments)
| Demonstration of surface plots. More...
Public Member Functions inherited from IG.Lib.LoadableScriptBase
| LoadableScriptBase ()
| Argument-less constructor. If argument-less constructor is called then initialization is not performed and will be performed later. More...
string | Run (string[] arguments)
| Performs the action of this object. Override this in derived classes! More...
void | Initialize (string[] arguments)
| Initializes the object. If not called explicitly, this method is automatically called at the first call to the Run method. More...
virtual string | Script_DefaultInitialize (string[] arguments)
| Default initialization method for scripts. More...
virtual string | Script_DefaultRun (string[] arguments)
| Default run method for the script. Can be used when only installed commands are run by hte script. More...
virtual ICommandLineApplicationInterpreter | Script_CreateInterpreterWithoutCommands ()
| Creates and returns an interpreter that can be used as script's internal interpreter for running script's commands. More...
delegate string | Script_CommandDelegate (string[] args)
| Delegate for commands that are installed on script's internal interpreter (property Interpreter). More...
void | Script_AddCommand (string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object. More...
virtual void | Script_AddCommand (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings, string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object. More...
string | Script_GetHelpString (string scriptCommandName)
| Returns help string for internal script command with specified name, or null if help string is not installed for such a command. More...
void | Script_PrintCommandsHelp ()
| Prits help for the installed internal commands of the script. More...
virtual bool | Script_ContainsCommand (string commandName)
| Returns true if the internal script's interpreter contains a command with specified name, false otherwise. More...
virtual bool | Script_ContainsScriptCommand (string commandName)
| Returns true if the specified command is script command (i.e. its first argument is command-name and it is run through the Script_CommandAdapter object). More...
virtual void | Script_RemoveCommand (string commandName)
| Removes the specified internal script command from the internal interpreter of the current scripting object. More...
virtual void | Script_RemoveAllCommands ()
| Removes ALL internal script commands from the internal interpreter of the current scripting object. More...
string | Script_Run (string[] arguments)
| Runs internal script command. More...
string | Script_Run (string commandName, params string[] otherArguments)
| Runs internal script command. More...
virtual void | Script_PrintArguments (string messageString, string[] arguments)
| Prints the specified array of string arguments (usually passed as command-line arguments). More...

## Public Attributes
const string | ConstMyTest = "MyTest"
| Name of the command that performs my custom test. More...
const string | ConstHelpMyTest = "Custom test function."
const string | ConstCustom = "Custom"
| Name of the command for custom test. More...
const string | ConstHelpCustom = "Custom test."
const string | ConstVtkTest = "VtkTest"
| Name of the command for VTK tests. More...
const string | ConstHelpVtkTest = "Various 3D tests using VTK. Run with ? argument to see which tests are available."
const string | ConstPlot3d = "Plot3d"
| Name of the command for 3D plots tests. More...
const string | ConstHelpPlot3d = "Various higher level 3D plots. Run with ? argument to see which tests are available."
const string | ConstSurface3d = "Surface3D"
| Name of the command for 3D surface examples. More...
const string | ConstHelpSurface3d = "Examples of 3D surfaces. Run with ? argument to see which surfaces are available."
const string | VtkStructuredGrid = "StructuredGrid"
const string | VtkQuadCells = "QuadCells"
const string | VtkCellGridContours = "CellGridContours"
const string | VtkStructuredGridVolumeContours = "StructuredGridVolumeContours"
const string | Plot3dVtkControl = "VtkControl"
const string | Plot3dCurvePlotLissajous = "CurvePlotLissajous"
const string | Plot3dSurfacePlot = "SurfacePlot"
const string | Plot3dSurfacePlotScaled = "SurfacePlotScaled"
const string | Plot3dSurfacePlotManualScaled = "SurfacePlotManualScaled"
const string | Plot3dContourPlot = "ContourPlot"
const string | Plot3dSurfaceComparison = "SurfaceComparison"
const string | Plot3dDecoration = "Decoration"
const string | surfaceKleinBottle = "KleinBottle"
const string | surfaceTwoToruses = "TwoToruses"
const string | surfaceSnailShell = "SnailShell"
Public Attributes inherited from IG.Lib.LoadableScriptBase
const string | ConstDefaultHelp = "Help"
| Default command name for help. More...
const string | ConstHelpDefaultUniversal = "?"
| Universal name of the help command. More...
const string | ConstDefaultTestScrip = "TestScript"
| Default command name for test method. More...

## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Initializes the current object. More...
override string | RunThis (string[] arguments)
| Runs action of the current object. More...
void | AddTestVtkCommand (string testName, CommandMethod surfaceMethod, string surfaceHelp)
| Adds a new command testing VTK. More...
virtual void | InitTestVtk ()
| Initializes VTK test commands. More...
virtual string | RunTestVtk (string[] args)
| Runs demonstration of surface plots according to arguments. More...
void | AddPlot3dCommand (string testName, CommandMethod surfaceMethod, string surfaceHelp)
| Adds a new command for a 3D graphics test. More...
virtual void | InitTestPlot3d ()
| Initializes commands for 3d graphic tests. More...
virtual string | RunTestPlot3d (string[] args)
| Runs demonstration of surface plots according to arguments. More...
void | AddSurfaceCommand (string surfaceName, CommandMethod surfaceMethod, string surfaceHelp)
| Adds a new command for plotting the specified surface. More...
virtual void | SetDefaultPlotProperties (VtkSurfacePlot plot)
| Sets default properties of the specified plot. More...
virtual void | SetPlotBounds (VtkSurfacePlot plot, string[] args)
| Sets plotting resolution and parameter bounds on the specified plot according to arguments. More...
virtual void | InitSurfaceCommands ()
| Initializes surface plotting commands. More...
virtual string | Run3DSurfaceTest (string[] args)
| Runs demonstration of surface plots according to arguments. More...
Protected Member Functions inherited from IG.Lib.LoadableScriptBase
delegate string | CommandMethod (string commandName, string[] args)
| Delegate for internal command methods. More...
ICommandLineApplicationInterpreter | Script_CreateInterpreter ()
| Creates and returns an interpreter that can be used as script's internal interpreter for running script's commands. More...
virtual string | Script_CommandHelp (string[] arguments)
| Prints help. More...
virtual string | Script_CommandTestScript (string[] arguments)
| Prints help. More...

## Protected Attributes
List< string > | TestVtkNames = new List<string>()
| List of VTK test names. More...
List< string > | TestVtkHelpStrings = new List<string>()
| List of VTK tests' help strings. More...
List< CommandMethod > | TestVtkMethods = new List<CommandMethod>()
| List of methods used to perform VTK tests. More...
List< string > | TestPlot3dNames = new List<string>()
| List of installed 3D plotting test names. More...
List< string > | TestPlot3dHelpStrings = new List<string>()
| List of help strings corresponding to installed 3D plotting tests. More...
List< CommandMethod > | TestPlot3dMethods = new List<CommandMethod>()
| List of methods used to perform 3D plotting tests. More...
List< string > | SurfaceNames = new List<string>()
| List of surface names. More...
List< string > | SurfaceHelpStrings = new List<string>()
| List of surface methods' help strings. More...
List< CommandMethod > | SurfaceMethods = new List<CommandMethod>()
| List of methods used to plot surfaces. More...
Protected Attributes inherited from IG.Lib.LoadableScriptBase
string | _embeddedCommandName = null
int | _outputLevel = DefaultOutputLevel
ICommandLineApplicationInterpreter | _script_interpreter

## Private Member Functions
string | VtkFunctionStructuredGrid (string surfaceName, string[] args)
| Demonstration of plotting structured grids. More...
string | VtkFunctionQuadCells (string surfaceName, string[] args)
| Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces). More...
string | VtkFunctionCellGridContours (string surfaceName, string[] args)
| Example of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata. More...
string | VtkFunctionStructuredGridVolumeContours (string surfaceName, string[] args)
| Example that demonstrates volume contours with structure grid. More...
string | Plot3dFunctionVtkControl (string surfaceName, string[] args)
| Tests use of VTK controls. More...
string | Plot3dFunctionCurvePlotLissajous (string surfaceName, string[] args)
| Demonstration of plotting 3d parametric curves. More...
string | Plot3dFunctionSurfacePlot (string surfaceName, string[] args)
| Demonstration of surface plots in 3D. More...
string | Plot3dFunctionSurfacePlotScaled (string surfaceName, string[] args)
| Demonstration of surface plots in 3D where mesh is manually composed. Automatic scaling of physical graph is also demonstrated. More...
string | Plot3dFunctionSurfacePlotManualScaled (string surfaceName, string[] args)
| Demonstration of surface plots in 3D where mesh is manually composed. Scaling of physical graph is also demonstrated. More...
string | Plot3dFunctionContourPlot (string surfaceName, string[] args)
| Demonstration contour plots in 3D. More...
string | Plot3dFunctionSurfaceComparison (string surfaceName, string[] args)
| Demonstration of comparison of 2 surfaces in 3D. More...
string | Plot3dFunctionDecoration (string surfaceName, string[] args)
| Demonstration of surface plots in 3D. More...
string | SurfaceFunctionKleinBottle (string surfaceName, string[] args)
| Plots the Klein's Bottle parametric surface. More...
string | SurfaceFunctionTwoToruses (string surfaceName, string[] args)
| Plots two interlocked toruses. More...
string | SurfaceFunctionSnailShell (string surfaceName, string[] args)
| Plots the Snail shell parametric surface. More...

## Private Attributes
const string | VtkHelpStructuredGrid = VtkStructuredGrid + " <numX> <numY> <numZ> : Structured grid in 3D."
const string | VtkHelpQuadCells = VtkQuadCells + " <numX> <numY> : Using simple primitives in 3D graphics."
const string | VtkHelpCellGridContours = VtkCellGridContours + " <numX> <numY> <numContours> : Cotours on 3D surfaces by using cells."
const string | VtkHelpStructuredGridVolumeContours = VtkStructuredGridVolumeContours + " <numX> <numY> <numZ> <numContours> : Using volume contorus with structured grid."
bool | _TestVtkCommandInitialized = false
const string | Plot3dHelpVtkControl
const string | Plot3dHelpCurvePlotLissajous = Plot3dCurvePlotLissajous + " : Plot of Lissajous-derived curves in 3D."
const string | Plot3dHelpSurfacePlot = Plot3dSurfacePlot + " : Surface plot."
const string | Plot3dHelpSurfacePlotScaled = Plot3dSurfacePlotScaled + " <numX> <numY>: Surface plot with manual mesh, automatically scaled."
const string | Plot3dHelpSurfacePlotManualScaled = Plot3dSurfacePlotManualScaled + " <numX> <numY>: Surface plot with manual mesh, manually scaled."
const string | Plot3dHelpContourPlot = Plot3dContourPlot + " : Contour plot."
const string | Plot3dHelpSurfaceComparison = Plot3dSurfaceComparison + " : Comparison of 2 surfaces in 3D."
const string | Plot3dHelpDecoration = Plot3dDecoration + " : Decorations demo."
bool | _plot3dCommandsInitialized = false
const string | surfaceHelpKleinBottle = surfaceKleinBottle + " <numX> <numY> <formX> <toX> <fromY> <toY> : Klein's bottle"
const string | surfaceHelpTwoToruses = surfaceTwoToruses + " : Two interlocked toruses."
const string | surfaceHelpSnailShell = surfaceSnailShell + " <numX> <numY> <formX> <toX> <fromY> <toY> : Snail's shell surface"
bool | _surfaceCommandInitialized = false

## Additional Inherited Members
Properties inherited from IG.Lib.LoadableScriptBase
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. WARNING: arguments can only be set before initialization is performed. Initialization is performed either implicitly at the first call to the Run method or explicitly by calling the Initialize method. More...
virtual bool | IsInitialized`[get, protected set]`
| Whether the object has been initialized or not. More...
static int | DefaultOutputLevel`[get, set]`
int | OutputLevel`[get, set]`
| Level of output to console produced by some operations of the current object. More...
virtual ICommandLineApplicationInterpreter | Script_Interpreter`[get, protected set]`
| Script's internal interpreter that takes care for execution of installed internal commands. More...
SortedList< string, string > | Script_CommandHelpStrings`[get]`
| Contains help strings associated with script commands installed on interpreter. More...
Properties inherited from IG.Lib.ILoadableScript
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. More...
bool | IsInitialized`[get]`
| Whether the object has been initialized or not. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Base class for script classes with graphics examples.

$A Igor xx Jul12;

## Constructor & Destructor Documentation

IG.Script.ScriptGraphics3DBase.ScriptGraphics3DBase | ( |  | ) |
| inline

## Member Function Documentation

override void IG.Script.ScriptGraphics3DBase.InitializeThis | ( | string[] | arguments | ) |
| inline protected virtual

Initializes the current object.

Implements IG.Lib.LoadableScriptBase.

override string IG.Script.ScriptGraphics3DBase.RunThis | ( | string[] | arguments | ) |
| inline protected virtual

Runs action of the current object.

Parameters

  arguments | Command-line arguments of the action.

Implements IG.Lib.LoadableScriptBase.

override void IG.Script.ScriptGraphics3DBase.Script_AddCommands | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings
| ) |  |
| inline virtual

Adds commands to the internal interpreter.

Parameters

  interpreter | Interpreter where commands are executed.
  helpStrings | List containg help strings.

Reimplemented from IG.Lib.LoadableScriptBase.

string IG.Script.ScriptGraphics3DBase.TestMyTest | ( | string[] | arguments | ) |
| inline

Test action.

Parameters

  arguments | Array of command-line arguments.

virtual string IG.Script.ScriptGraphics3DBase.TestCustom | ( | string[] | arguments | ) |
| inline virtual

Custom test.

void IG.Script.ScriptGraphics3DBase.AddTestVtkCommand | ( | string | testName,
|  | CommandMethod | surfaceMethod,
|  | string | surfaceHelp
| ) |  |
| inline protected

Adds a new command testing VTK.

Parameters

  testName | VTK test name.
  surfaceMethod | Method used to perform the test.
  surfaceHelp | Eventual help string for the test.

string IG.Script.ScriptGraphics3DBase.VtkFunctionStructuredGrid | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of plotting structured grids.

References IG.Gr3d.TestVtkGraphicBase.ExampleStructuredGrid().

string IG.Script.ScriptGraphics3DBase.VtkFunctionQuadCells | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

References IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells().

string IG.Script.ScriptGraphics3DBase.VtkFunctionCellGridContours | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Example of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata.

References IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridContours().

string IG.Script.ScriptGraphics3DBase.VtkFunctionStructuredGridVolumeContours | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Example that demonstrates volume contours with structure grid.

References IG.Gr3d.TestVtkGraphicBase.ExampleStructuredGridVolumeContours().

virtual void IG.Script.ScriptGraphics3DBase.InitTestVtk | ( |  | ) |
| inline protected virtual

Initializes VTK test commands.

virtual string IG.Script.ScriptGraphics3DBase.RunTestVtk | ( | string[] | args | ) |
| inline protected virtual

Runs demonstration of surface plots according to arguments.

virtual string IG.Script.ScriptGraphics3DBase.TestVtkTest | ( | string[] | arguments | ) |
| inline virtual

Runs various VTK tests.

void IG.Script.ScriptGraphics3DBase.AddPlot3dCommand | ( | string | testName,
|  | CommandMethod | surfaceMethod,
|  | string | surfaceHelp
| ) |  |
| inline protected

Adds a new command for a 3D graphics test.

Parameters

  testName | Test name.
  surfaceMethod | Method used to perform the test.
  surfaceHelp | Eventual help string for the test.

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionVtkControl | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Tests use of VTK controls.

References IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionCurvePlotLissajous | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of plotting 3d parametric curves.

References IG.Gr3d.VtkPlotBase.ExampleCurvePlotLissajous().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionSurfacePlot | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of surface plots in 3D.

References IG.Gr3d.VtkPlotBase.ExampleSurfacePlot().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionSurfacePlotScaled | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of surface plots in 3D where mesh is manually composed. Automatic scaling of physical graph is also demonstrated.

References IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionSurfacePlotManualScaled | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of surface plots in 3D where mesh is manually composed. Scaling of physical graph is also demonstrated.

References IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionContourPlot | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration contour plots in 3D.

References IG.Gr3d.VtkPlotBase.ExampleContourPlot().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionSurfaceComparison | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of comparison of 2 surfaces in 3D.

References IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison().

string IG.Script.ScriptGraphics3DBase.Plot3dFunctionDecoration | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Demonstration of surface plots in 3D.

References IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

virtual void IG.Script.ScriptGraphics3DBase.InitTestPlot3d | ( |  | ) |
| inline protected virtual

Initializes commands for 3d graphic tests.

virtual string IG.Script.ScriptGraphics3DBase.RunTestPlot3d | ( | string[] | args | ) |
| inline protected virtual

Runs demonstration of surface plots according to arguments.

virtual string IG.Script.ScriptGraphics3DBase.TestPlot3d | ( | string[] | arguments | ) |
| inline virtual

Demonstration of various 3D plots.

void IG.Script.ScriptGraphics3DBase.AddSurfaceCommand | ( | string | surfaceName,
|  | CommandMethod | surfaceMethod,
|  | string | surfaceHelp
| ) |  |
| inline protected

Adds a new command for plotting the specified surface.

Parameters

  surfaceName | Surface (and the corresponding plotting command) name.
  surfaceMethod | Method used to plot the surface.
  surfaceHelp | Eventual help string for the added surface.

virtual void IG.Script.ScriptGraphics3DBase.SetDefaultPlotProperties | ( | VtkSurfacePlot | plot | ) |
| inline protected virtual

Sets default properties of the specified plot.

Parameters

  plot |

References IG.Gr3d.VtkSurfacePlotBase.LineColor, IG.Gr3d.VtkSurfacePlotBase.LineColorIsScaled, IG.Gr3d.VtkSurfacePlotBase.LineWidth, IG.Gr3d.VtkSurfacePlot.NumX, IG.Gr3d.VtkSurfacePlot.NumY, IG.Gr3d.VtkPlotBase.OutputLevel, IG.Gr3d.VtkSurfacePlotBase.PointSize, IG.Gr3d.VtkSurfacePlotBase.PointsVisible, IG.Gr3d.VtkSurfacePlot.SetBoundsParameters(), IG.Gr3d.VtkSurfacePlotBase.SurfaceColor, IG.Gr3d.VtkSurfacePlotBase.SurfaceColorIsScaled, and IG.Gr3d.VtkSurfacePlotBase.SurfaceColorOpacity.

virtual void IG.Script.ScriptGraphics3DBase.SetPlotBounds | ( | VtkSurfacePlot | plot,
|  | string[] | args
| ) |  |
| inline protected virtual

Sets plotting resolution and parameter bounds on the specified plot according to arguments.

Only things that are specified by arguments are set.

Arguments must follow in this order: NumX, NumY, fromX, toX, fromY, toY

Parameters

  plot | Plot where resolution and bounds are set.

References IG.Gr3d.VtkSurfacePlot.BoundsParameters, IG.Gr3d.VtkSurfacePlot.NumX, IG.Gr3d.VtkSurfacePlot.NumY, IG.Num.BoundingBoxBase.SetMax(), and IG.Num.BoundingBoxBase.SetMin().

string IG.Script.ScriptGraphics3DBase.SurfaceFunctionKleinBottle | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Plots the Klein's Bottle parametric surface.

See also
  VtkPlotBase.ExampleParametricSurfacePlots

References IG.Gr3d.VtkPlotBase.CopyBounds(), IG.Gr3d.VtkPlotBase.CreateAndShow(), IG.Gr3d.VtkSurfacePlotBase.LineColor, IG.Gr3d.VtkSurfacePlotBase.LineWidth, IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition(), IG.Gr3d.VtkSurfacePlotBase.SurfaceColor, and IG.Gr3d.VtkSurfacePlotBase.SurfaceColorOpacity.

string IG.Script.ScriptGraphics3DBase.SurfaceFunctionTwoToruses | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Plots two interlocked toruses.

See also
  VtkPlotBase.ExampleParametricSurfacePlots

References IG.Gr3d.VtkPlotBase.CopyBounds(), IG.Gr3d.VtkSurfacePlot.Create(), IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition(), IG.Gr3d.VtkPlotBase.ShowPlot(), and IG.Gr3d.VtkSurfacePlotBase.SurfaceColor.

string IG.Script.ScriptGraphics3DBase.SurfaceFunctionSnailShell | ( | string | surfaceName,
|  | string[] | args
| ) |  |
| inline private

Plots the Snail shell parametric surface.

See also
  VtkPlotBase.ExampleParametricSurfacePlots

References IG.Gr3d.VtkPlotBase.CopyBounds(), IG.Gr3d.VtkPlotBase.CreateAndShow(), IG.Gr3d.VtkSurfacePlotBase.LineColor, IG.Gr3d.VtkSurfacePlotBase.LineWidth, IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition(), IG.Gr3d.VtkSurfacePlotBase.SurfaceColor, and IG.Gr3d.VtkSurfacePlotBase.SurfaceColorOpacity.

virtual void IG.Script.ScriptGraphics3DBase.InitSurfaceCommands | ( |  | ) |
| inline protected virtual

Initializes surface plotting commands.

virtual string IG.Script.ScriptGraphics3DBase.Run3DSurfaceTest | ( | string[] | args | ) |
| inline protected virtual

Runs demonstration of surface plots according to arguments.

virtual string IG.Script.ScriptGraphics3DBase.TestSurface3d | ( | string[] | arguments | ) |
| inline virtual

Demonstration of surface plots.

## Member Data Documentation

const string IG.Script.ScriptGraphics3DBase.ConstMyTest = "MyTest"

Name of the command that performs my custom test.

const string IG.Script.ScriptGraphics3DBase.ConstHelpMyTest = "Custom test function."

const string IG.Script.ScriptGraphics3DBase.ConstCustom = "Custom"

Name of the command for custom test.

const string IG.Script.ScriptGraphics3DBase.ConstHelpCustom = "Custom test."

const string IG.Script.ScriptGraphics3DBase.ConstVtkTest = "VtkTest"

Name of the command for VTK tests.

const string IG.Script.ScriptGraphics3DBase.ConstHelpVtkTest = "Various 3D tests using VTK. Run with ? argument to see which tests are available."

const string IG.Script.ScriptGraphics3DBase.ConstPlot3d = "Plot3d"

Name of the command for 3D plots tests.

const string IG.Script.ScriptGraphics3DBase.ConstHelpPlot3d = "Various higher level 3D plots. Run with ? argument to see which tests are available."

const string IG.Script.ScriptGraphics3DBase.ConstSurface3d = "Surface3D"

Name of the command for 3D surface examples.

const string IG.Script.ScriptGraphics3DBase.ConstHelpSurface3d = "Examples of 3D surfaces. Run with ? argument to see which surfaces are available."

List<string> IG.Script.ScriptGraphics3DBase.TestVtkNames = new List<string>()
| protected

List of VTK test names.

List<string> IG.Script.ScriptGraphics3DBase.TestVtkHelpStrings = new List<string>()
| protected

List of VTK tests' help strings.

List<CommandMethod> IG.Script.ScriptGraphics3DBase.TestVtkMethods = new List<CommandMethod>()
| protected

List of methods used to perform VTK tests.

const string IG.Script.ScriptGraphics3DBase.VtkStructuredGrid = "StructuredGrid"

const string IG.Script.ScriptGraphics3DBase.VtkHelpStructuredGrid = VtkStructuredGrid + " <numX> <numY> <numZ> : Structured grid in 3D."
| private

const string IG.Script.ScriptGraphics3DBase.VtkQuadCells = "QuadCells"

const string IG.Script.ScriptGraphics3DBase.VtkHelpQuadCells = VtkQuadCells + " <numX> <numY> : Using simple primitives in 3D graphics."
| private

const string IG.Script.ScriptGraphics3DBase.VtkCellGridContours = "CellGridContours"

const string IG.Script.ScriptGraphics3DBase.VtkHelpCellGridContours = VtkCellGridContours + " <numX> <numY> <numContours> : Cotours on 3D surfaces by using cells."
| private

const string IG.Script.ScriptGraphics3DBase.VtkStructuredGridVolumeContours = "StructuredGridVolumeContours"

const string IG.Script.ScriptGraphics3DBase.VtkHelpStructuredGridVolumeContours = VtkStructuredGridVolumeContours + " <numX> <numY> <numZ> <numContours> : Using volume contorus with structured grid."
| private

bool IG.Script.ScriptGraphics3DBase._TestVtkCommandInitialized = false
| private

List<string> IG.Script.ScriptGraphics3DBase.TestPlot3dNames = new List<string>()
| protected

List of installed 3D plotting test names.

List<string> IG.Script.ScriptGraphics3DBase.TestPlot3dHelpStrings = new List<string>()
| protected

List of help strings corresponding to installed 3D plotting tests.

List<CommandMethod> IG.Script.ScriptGraphics3DBase.TestPlot3dMethods = new List<CommandMethod>()
| protected

List of methods used to perform 3D plotting tests.

const string IG.Script.ScriptGraphics3DBase.Plot3dVtkControl = "VtkControl"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpVtkControl
| private

Initial value:
= Plot3dVtkControl + @" formType modal testPlotter testActorsIGLib testActorsVTK :
Tests VTK controls.
formType: type of the form ('plain', 'vtk').
modal: if true then form is launched as modal form
testPlotter: if true then some test IGLib graphics is plotted on the form through plotter
testActorsIGLib: if true then some test IGLib graphics is plotted on the form internally
testActorsVTK: if true then some test VTK graphics is added internally "

const string IG.Script.ScriptGraphics3DBase.Plot3dCurvePlotLissajous = "CurvePlotLissajous"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpCurvePlotLissajous = Plot3dCurvePlotLissajous + " : Plot of Lissajous-derived curves in 3D."
| private

const string IG.Script.ScriptGraphics3DBase.Plot3dSurfacePlot = "SurfacePlot"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpSurfacePlot = Plot3dSurfacePlot + " : Surface plot."
| private

const string IG.Script.ScriptGraphics3DBase.Plot3dSurfacePlotScaled = "SurfacePlotScaled"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpSurfacePlotScaled = Plot3dSurfacePlotScaled + " <numX> <numY>: Surface plot with manual mesh, automatically scaled."
| private

const string IG.Script.ScriptGraphics3DBase.Plot3dSurfacePlotManualScaled = "SurfacePlotManualScaled"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpSurfacePlotManualScaled = Plot3dSurfacePlotManualScaled + " <numX> <numY>: Surface plot with manual mesh, manually scaled."
| private

const string IG.Script.ScriptGraphics3DBase.Plot3dContourPlot = "ContourPlot"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpContourPlot = Plot3dContourPlot + " : Contour plot."
| private

const string IG.Script.ScriptGraphics3DBase.Plot3dSurfaceComparison = "SurfaceComparison"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpSurfaceComparison = Plot3dSurfaceComparison + " : Comparison of 2 surfaces in 3D."
| private

const string IG.Script.ScriptGraphics3DBase.Plot3dDecoration = "Decoration"

const string IG.Script.ScriptGraphics3DBase.Plot3dHelpDecoration = Plot3dDecoration + " : Decorations demo."
| private

bool IG.Script.ScriptGraphics3DBase._plot3dCommandsInitialized = false
| private

List<string> IG.Script.ScriptGraphics3DBase.SurfaceNames = new List<string>()
| protected

List of surface names.

List<string> IG.Script.ScriptGraphics3DBase.SurfaceHelpStrings = new List<string>()
| protected

List of surface methods' help strings.

List<CommandMethod> IG.Script.ScriptGraphics3DBase.SurfaceMethods = new List<CommandMethod>()
| protected

List of methods used to plot surfaces.

const string IG.Script.ScriptGraphics3DBase.surfaceKleinBottle = "KleinBottle"

const string IG.Script.ScriptGraphics3DBase.surfaceHelpKleinBottle = surfaceKleinBottle + " <numX> <numY> <formX> <toX> <fromY> <toY> : Klein's bottle"
| private

const string IG.Script.ScriptGraphics3DBase.surfaceTwoToruses = "TwoToruses"

const string IG.Script.ScriptGraphics3DBase.surfaceHelpTwoToruses = surfaceTwoToruses + " : Two interlocked toruses."
| private

const string IG.Script.ScriptGraphics3DBase.surfaceSnailShell = "SnailShell"

const string IG.Script.ScriptGraphics3DBase.surfaceHelpSnailShell = surfaceSnailShell + " <numX> <numY> <formX> <toX> <fromY> <toY> : Snail's shell surface"
| private

bool IG.Script.ScriptGraphics3DBase._surfaceCommandInitialized = false
| private

The documentation for this class was generated from the following file:

- extensions/iglibext/00testscriptsext/examples/ScriptGraphics3dBase.cs